BIND Updates Patch High-Severity Vulnerabilities

Share This Post

The Internet Systems Consortium (ISC) this week announced the availability of patches for six vulnerabilities in the widely deployed BIND DNS software, all remotely exploitable.

Of the resolved security flaws, four have a severity rating of ‘high’. All four could be exploited to cause a denial-of-service (DoS) condition.

The first of these is CVE-2022-2906, a memory leak issue impacting “key processing when using TKEY records in Diffie-Hellman mode with OpenSSL 3.0.0 and later versions”, ISC explains in its advisory.

A remote attacker could exploit the bug to gradually erode available memory, leading to a crash. Because the attacker could exploit the vulnerability again after restart, “there is the potential to deny service”, ISC says.

Tracked as CVE-2022-3080, the second flaw may result in a crash of the BIND 9 resolver under certain conditions, when crafted queries are sent to the resolver.

CVE-2022-38177, ISC says, is a memory leak issue in the DNSSEC verification code for the ECDSA algorithm, which can be triggered by a signature length mismatch.

“By spoofing the target resolver with responses that have a malformed ECDSA signature, an attacker can trigger a small memory leak. It is possible to gradually erode available memory to the point where named crashes for lack of resources,” ISC explains.

The fourth high-severity bug addressed in BIND 9 is CVE-2022-38178, a memory leak impacting the DNSSEC verification code for the EdDSA algorithm, which can be triggered with malformed ECDSA signatures.

Updates were released for BIND 9.18 (stable branch), BIND 9.19 (development version), and BIND 9.16 (Extended Support Version).

ISC says it’s not aware of any public exploits targeting these vulnerabilities.

On Thursday, the US Cybersecurity and Infrastructure Security Agency (CISA) encouraged users and administrators to review ISC’s advisories for these four security holes and to apply the available patches as soon as possible.

Related: High-Severity Vulnerabilities Patched in BIND Server

Related: BIND Vulnerabilities Expose DNS Servers to Remote Attacks

Related: Flaw in BIND Security Feature Allows DoS Attacks

View the discussion thread.

SecurityWeek RSS Feed

Read More

More Articles

Article

Web3 – The Old Colossus?

“Meet the new boss, Same as the old boss” – The Who – Won’t Get Fooled Again In 1883, Emma Lazarus authored the poem “The